Skip to content

Giuffrè Editore (Lexis-Nexis partner)’s Update Disturbing Policy

consolleLexis-Nexis Italian partner, Giuffrè Editore, is active in both the editorial and software business. One of its tool is a java application to handle the electronic document filing to the Court’s dock.

As the screenshot shows, the OSX version of this software requires on outdated java version because Giuffrè didn’t update its code. As they write on the website: “last java versions have problem. Download from here the recommended version”.

In other words: we don’t want to fix the software you paid, so stay stick with an older java version.

So  a lawyer wanting to continue using this software faces these alternatives:

  • downgrade the Java version installed on his computer, thus risking incompatibilities with up-to-date application and having his computer possible stability issues,
  • buy a computer (or virtualize one) “just” to use Giuffrè softwares,
  • move to another software and start using it for scratch.

Whatever the option, the customer is the losing part.